コンテンツにスキップ
トレカクラウド
Esc
↑↓移動↵開く⌘Jプレビュー

カードマスタを検索する

名前、カード番号、JAN、IDで有効なカードを検索します。最大25件です。

GET/cards
Authorization
AuthorizationOAuth2 access token · headerrequired

認可コードフロー(PKCE S256 必須)。認可・トークン・更新のリクエストには resource=https://api.toreca-cloud.com/partner/v1 を付けます。アクセストークンは15分、リフレッシュトークンは90日有効で、更新のたびに入れ替わります。

Scopes:inventory:read
Query parameters
searchstringrequired
min length 1 · max length 150
limitinteger
min 1 · max 25 · default: 25
Responses
200

カード

cardsCard[]required
Show properties
Array of Card
idstring<uuid>
namestring
localizedNamesobject
cardNumberstring | null
setTotalRawstring | null
janCodestring | null
languageCodestring
variantstring | null
finishstring | null
imageUrlstring<uri> | null
rarityobject | null
Show properties
codestring
namestring
setobject | null
Show properties
idstring<uuid>
codestring
namestring
nameEnstring | null
gameGame
Show properties
idstring<uuid>
codestring
namestring
401

invalid_token。トークンがない、期限切れ、または別のリソース向けです。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

403

insufficient_scope、connection_revoked、client_disabled、forbidden のいずれかです。

errorstringrequired

エラーのコード

scopestring

insufficient_scope のとき、足りない権限

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.toreca-cloud.com/partner/v1/cards?search=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response
{
  "cards": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "localizedNames": {
        "property1": "string",
        "property2": "string"
      },
      "cardNumber": "string",
      "setTotalRaw": "string",
      "janCode": "string",
      "languageCode": "string",
      "variant": "string",
      "finish": "string",
      "imageUrl": "http://example.com",
      "rarity": {
        "code": "string",
        "name": "string"
      },
      "set": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "code": "string",
        "name": "string",
        "nameEn": "string"
      },
      "game": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "code": "string",
        "name": "string"
      }
    }
  ]
}